# Mom's lasagna

## Ingredients

- 9 sheets oven-ready lasagna noodles per 9x13
- 16oz cottage or ricotta cheese
- 2 eggs
- &frac12; C Parmesan cheese (fresh, grated)
- 1lb (total) ground beef and Italian sausage
- 2 16oz jars spaghetti sauce (bland, but not straight tomato sauce)
- Mozzarella cheese

## Directions

- Preheat oven to 350&deg;F.
- Brown beef and sausage. Don't overcook.
- Mix eggs and Parmesan into cottage or ricotta cheese container.
- Grease 9x13 pan. Coat bottom with &frac12; C spaghetti sauce.
- Lay out pasta (3 sheets per layer).
- Coat with three spoonfuls of cheese mixture.
- Sprinkle meat.
- Add 1 C of sauce.
- Coat with mozzarella cheese.
- Repeat for all three layers.
- Cover with aluminum foil and bake at 350&deg.F for 1 hour.
- Remove aluminum foil and bake for another 5-10min until sauce bubbles.
- Let rest for 5-10min and serve.

Makes 15-18 servings.
